package com.meatballhat.learningjava;

import java.io.FileInputStream;
import java.util.Properties;


public class ShowProps {
    public static String USAGE = "Usage: ShowProps <properties-file>";

    public static void main(String[] args)
    {
        try {

            if (args.length >= 1) {
                FileInputStream instream = new FileInputStream(args[0]);
                Properties props = new Properties();
                props.load(instream);
                instream.close();
                props.list(System.out);

            } else {
                System.out.println(USAGE);
                return;
            }
        } catch (Exception e) {
            System.out.println("OMG FAIL");
            e.printStackTrace();
        }

    }

}
